## org.eclipse.m2m.atl.engine.emfvm.adapter
Interface IModelAdapter

All Known Implementing Classes:
  EMFModelAdapter, UML2ModelAdapter

    public interface IModelAdapter

The EMFVM execution interface. Defines a set of methods dedicated to the execution of transformations.

Method Summary
`void` `delete(AbstractStackFrame frame, java.lang.Object eo)` Deletes an object on the given frame.
`void` `finalizeModel(IModel model)` Finalizes the given model.
`java.lang.Object` `get(AbstractStackFrame frame, java.lang.Object eo, java.lang.String name)` Gets a value from an object in the given frame.
`java.lang.Object` `getID(java.lang.Object element)` Returns the element id.
`java.util.List<java.lang.Object>` `getSupertypes(java.lang.Object type)` Returns the list of supertypes of a given type.
`java.lang.Object` `getType(java.lang.Object value)` Returns the type of a given element.
`java.lang.Object` `invoke(java.lang.reflect.Method method, java.lang.Object self, java.lang.Object[] arguments)` Invokes a method.
`boolean` `isMetametaElement(java.lang.Object element)` Returns `true` if the given element is managed by the metametamodel of the current model adapter.
`boolean` `isModelElement(java.lang.Object o)` Returns `true` if the given object is managed by the current model adapter.
`boolean` `prettyPrint(ExecEnv execEnv, java.io.PrintStream out, java.lang.Object value)` Displays in a readable format the given object.
`void` `registerVMSupertypes(java.util.Map<java.lang.Class<?>,java.util.List<java.lang.Class<?>>> vmSupertypes)` Registers a map of supertypes.
`void` `registerVMTypeOperations(java.util.Map<java.lang.Object,java.util.Map<java.lang.String,Operation>> vmTypeOperations)` Registers a map of operations.
`void` `set(AbstractStackFrame frame, java.lang.Object eo, java.lang.String name, java.lang.Object value)` Sets a value on an object in the given frame.
`void` `setAllowInterModelReferences(boolean allowInterModelRefs)` Sets "allow inter-model references" for this model adapter.
`void` `setID(java.lang.Object element, java.lang.Object id)` Sets the element id.
`void` `unSet(AbstractStackFrame frame, java.lang.Object eo, java.lang.String name)` Unsets a value on an object in the given frame.

Method Detail

### get

    java.lang.Object get(AbstractStackFrame frame,
                         java.lang.Object eo,
                         java.lang.String name)

  Gets a value from an object in the given frame.

  Parameters:
    `frame` - the `AbstractStackFrame`
    `eo` - the object
    `name` - the name of the attribute / feature which contains the value
  Returns:
    the value

### set

    void set(AbstractStackFrame frame,
             java.lang.Object eo,
             java.lang.String name,
             java.lang.Object value)

  Sets a value on an object in the given frame.

  Parameters:
    `frame` - the `AbstractStackFrame`
    `eo` - the object
    `name` - the name of the attribute / feature which will contain the value
    `value` - the value to set

### unSet

    void unSet(AbstractStackFrame frame,
               java.lang.Object eo,
               java.lang.String name)

  Unsets a value on an object in the given frame.

  Parameters:
    `frame` - the `AbstractStackFrame`
    `eo` - the object
    `name` - the name of the attribute / feature which will contain the value

### delete

    void delete(AbstractStackFrame frame,
                java.lang.Object eo)

  Deletes an object on the given frame.

  Parameters:
    `frame` - the `AbstractStackFrame`
    `eo` - the object to delete

### registerVMSupertypes

    void registerVMSupertypes(java.util.Map<java.lang.Class<?>,java.util.List<java.lang.Class<?>>> vmSupertypes)

  Registers a map of supertypes.

  Parameters:
    `vmSupertypes` - the map

### registerVMTypeOperations

    void registerVMTypeOperations(java.util.Map<java.lang.Object,java.util.Map<java.lang.String,Operation>> vmTypeOperations)

  Registers a map of operations.

  Parameters:
    `vmTypeOperations` - the map

### prettyPrint

    boolean prettyPrint(ExecEnv execEnv,
                        java.io.PrintStream out,
                        java.lang.Object value)

  Displays in a readable format the given object.

  Parameters:
    `execEnv` - the current execEnv
    `out` - the output stream
    `value` - the object to display
  Returns:
    true if display has been successful

### getType

    java.lang.Object getType(java.lang.Object value)

  Returns the type of a given element.

  Parameters:
    `value` - the type
  Returns:
    the type

### getSupertypes

    java.util.List<java.lang.Object> getSupertypes(java.lang.Object type)

  Returns the list of supertypes of a given type.

  Parameters:
    `type` - the type
  Returns:
    the list of supertypes

### setAllowInterModelReferences

    void setAllowInterModelReferences(boolean allowInterModelRefs)

  Sets "allow inter-model references" for this model adapter.

  Parameters:
    `allowInterModelRefs` - true if intermodel references are allowed

### invoke

    java.lang.Object invoke(java.lang.reflect.Method method,
                            java.lang.Object self,
                            java.lang.Object[] arguments)

  Invokes a method.

  Parameters:
    `method` - the method to invoke
    `self` - the object context
    `arguments` - the call arguments
  Returns:
    the method result

### finalizeModel

    void finalizeModel(IModel model)

  Finalizes the given model.

  Parameters:
    `model` - the given model

### getID

    java.lang.Object getID(java.lang.Object element)

  Returns the element id.

  Parameters:
    `element` - the element
  Returns:
    the element id

### setID

    void setID(java.lang.Object element,
               java.lang.Object id)

  Sets the element id.

  Parameters:
    `element` - the element
    `id` - the id to set

### isModelElement

    boolean isModelElement(java.lang.Object o)

  Returns `true` if the given object is managed by the current model adapter.

  Parameters:
    `o` - the given object
  Returns:
    `true` if the given object is managed by the current model adapter

### isMetametaElement

    boolean isMetametaElement(java.lang.Object element)

  Returns `true` if the given element is managed by the metametamodel of the current model adapter.

  Parameters:
    `element` - the given element
  Returns:
    `true` if the given element is managed by the metametamodel of the current model adapter

Copyright 2007 IBM Corporation and others. All Rights Reserved.